This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 857394 - usb circular locking on suspend
usb circular locking on suspend
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Don Zickus
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 06:14 EDT by Stanislaw Gruszka
Modified: 2012-11-13 11:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-13 11:10:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg.txt (141.08 KB, text/plain)
2012-09-14 06:16 EDT, Stanislaw Gruszka
no flags Details

  None (edit)
Description Stanislaw Gruszka 2012-09-14 06:14:53 EDT
Description of problem:

test_suspend/6296 is trying to acquire lock:
 (hcd->bandwidth_mutex){+.+.+.}, at: [<ffffffff813cff38>] usb_reset_and_verify_device+0x2b8/0x760

but task is already holding lock:
 (&dev->pm_mutex/1){+.+...}, at: [<ffffffff813dca95>] usb_external_resume_device+0x35/0xa0

Version-Release number of selected component (if applicable):
RHEL6.3 debug kernel.

Steps to Reproduce:
1. Suspend to ram resume
Comment 1 Stanislaw Gruszka 2012-09-14 06:16:37 EDT
Created attachment 612791 [details]
dmesg.txt
Comment 3 Don Zickus 2012-11-09 15:16:55 EST
Hi Stanislaw,

I believe this was fixed in bz832126 and should be available in -310.el6 and later.

Let me know if that fixes it for you or not.

Cheers,
Don
Comment 4 Stanislaw Gruszka 2012-11-13 11:10:00 EST
Yes, no sign of warning on updated kernel.

Note You need to log in before you can comment on or make changes to this bug.